
Figure - Bug #113775
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: com.android.gallery3d（1）
2022-11-08 10:57 - CD Test赵飞

Status: CLOSED Start date: 2022-11-08

Priority: Normal Due date: 2022-11-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211050252

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-14

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 200  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 19092)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void android.widget.FrameLayout.setVisibility(int)' on a null

object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1299:user/test-keys

// Build Changelist: 1299

// Build Time: 1667581939000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void android.widget.FrameLayout.setVisibility(int)' on a null object

reference

//     at com.android.gallery3d.filtershow.EditorPlaceHolder.hide(EditorPlaceHolder.java:85)

//     at com.android.gallery3d.filtershow.FilterShowActivity.showDefaultImageView(FilterShowActivity.java:1313)

//     at com.android.gallery3d.filtershow.FilterShowActivity.backToMain(FilterShowActivity.java:1326)

//     at com.android.gallery3d.filtershow.FilterShowActivity.onBackPressed(FilterShowActivity.java:1356)

//     at android.app.Activity.onKeyUp(Activity.java:3855)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2878)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4180)

//     at androidx.core.app.ComponentActivity.superDispatchKeyEvent(ComponentActivity.java:122)

//     at androidx.core.view.KeyEventDispatcher.dispatchKeyEvent(KeyEventDispatcher.java:84)

//     at androidx.core.app.ComponentActivity.dispatchKeyEvent(ComponentActivity.java:140)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:416)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)
//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

见附件

History

#1 - 2022-11-10 19:23 - CD APP-李德盛

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#2 - 2022-11-11 15:10 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ My analysis

点击返回键时控件还未初始化，导致空指针异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/161923/3

#3 - 2022-11-11 15:16 - CD APP-李德盛

- Fixed Version set to 2022-11-12
- Root cause changed from 编码问题 to AOSP问题

#4 - 2022-11-15 09:26 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- Fixed Version changed from 2022-11-12 to 2022-11-14

#5 - 2022-11-16 10:54 - CD Test赵飞

- % Done changed from 100 to 70

11月15号Release版本（user）未复现此问题

Monkey问题，继续跟踪2个版本

#6 - 2022-11-17 10:18 - CD Test赵飞

11月16号DB版本（user）未复现此问题

Monkey问题，继续跟踪1个版本

#7 - 2022-11-18 10:30 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月17号Release版本（user）未复现此问题

已跟踪3个版本未复现，关闭此问题

#8 - 2022-11-18 10:30 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#9 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161923 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Gallery2: Fix NPE 1137751. Press the return key before the view initialize and view is accessed in onBackPressed.TC-RID: 1201-0300701IssueID:

TS-R-BUG-113775Change-Id: I437e09c92f2f2fb719f655615ceaa473dbd57fdb

Files

Tlog.zip 17.7 MB 2022-11-08 CD Test赵飞
